<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Reports_TA_UI_Report_LateInGrid, App_Web_0qah4cbk" %>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="dxe" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url(../dist/img/swipe-icon.png); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lblLateEntry" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row form-group">
                    <div class="col-md-12">

                        <div class="table-responsive" style="padding-bottom: 15px">
                            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <dxGridview:ASPxGridView ID="grv_LateIn" EnableCallBacks="False" runat="server" ClientInstanceName="grv_LateIn"
                                        AutoGenerateColumns="False" Width="100%" KeyFieldName="Process_Rec_ID"
                                        DataSourceID="ObjectDataSource1"
                                        OnHtmlRowCreated="grv_LateIn_HtmlRowCreated">
                                        <Columns>
                                            <dxGridview:GridViewDataTextColumn FieldName="CardNo" Caption="Emp No" VisibleIndex="0"
                                                Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblCardNo" Text='<%# Eval("CardNo") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; width: 80px; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                    <asp:HiddenField ID="lblProcess_Rec_ID" Value='<%# Eval("Process_Rec_ID") %>' runat="server" />
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblCardNo" Text='<%# Eval("CardNo") %>' runat="server"></asp:Label>
                                                    <asp:HiddenField ID="lblProcess_Rec_ID" Value='<%# Eval("Process_Rec_ID") %>' runat="server" />
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Employee Name" FieldName="Employee Name"
                                                Width="250px" VisibleIndex="1">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee Name") %>' runat="server"
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee Name") %>' runat="server"
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Level" FieldName="Level Name" VisibleIndex="2"
                                                Visible="False" Width="150px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblLevelName" Text='<%# Eval("Level Name") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblLevelName" Text='<%# Eval("Level Name") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Designation" FieldName="designation"
                                                VisibleIndex="3" Visible="False" Width="150px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblDesignation" Text='<%# Eval("designation") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblDesignation" Text='<%# Eval("designation") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Gender" FieldName="Gender" VisibleIndex="4"
                                                Width="80px" Visible="False">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblGender" Text='<%# Eval("Gender") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblGender" Text='<%# Eval("Gender") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Date" FieldName="date" VisibleIndex="4"
                                                Width="136px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblDate" Text='<%# Eval("date") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblDate" Text='<%# Eval("date") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="In Time" FieldName="InTime" VisibleIndex="5"
                                                Width="126px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblInTime" Text='<%# Eval("InTime") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblInTime" Text='<%# Eval("InTime") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Late By" FieldName="LateBy" VisibleIndex="6"
                                                Width="92px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblLateBy" Text='<%# Eval("LateBy") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblLateBy" Text='<%# Eval("LateBy") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Reason" FieldName="Reason" VisibleIndex="7"
                                                Width="250px">
                                                <EditItemTemplate>
                                                    <asp:TextBox onpaste="return true" OnTextChanged="TextBox1_TextChanged" TextMode="MultiLine" ID="TextBox1" runat="server"
                                                        onkeyPress="return acceptChars_MaxLength(event,this,255,MaxLength,MaxLength)"
                                                        Text='<%# Bind("Reason") %>' CssClass="form-control" MaxLength="255" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 70px; height: 22px; resize: none"></asp:TextBox>
                                                </EditItemTemplate>
                                                <DataItemTemplate>
                                                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("Reason") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewCommandColumn VisibleIndex="8" Caption=" " Width="40px">
                                                <EditButton Visible="True">
                                                </EditButton>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewCommandColumn>
                                        </Columns>
                                        <ClientSideEvents CustomizationWindowCloseUp="function(s, e) { UpdateCustomizationWindowValue(); }" />
                                        <SettingsPager PageSize="10">
                                            <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="10,20,50,100,200" />
                                        </SettingsPager>
                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" />
                                        <SettingsText EmptyDataRow="No Records Found" />
                                        <SettingsBehavior AutoExpandAllGroups="false" ColumnResizeMode="Control" />
                                        <SettingsBehavior AllowDragDrop="true" />
                                        <Styles AlternatingRow-CssClass="table-bg">
                                        </Styles>
                                        <GroupSummary>
                                            <dxe:ASPxSummaryItem FieldName="Date" SummaryType="Count" />
                                        </GroupSummary>
                                        <SettingsCustomizationWindow Enabled="True" />
                                        <SettingsBehavior AllowDragDrop="true" />


                                    </dxGridview:ASPxGridView>


                                    <dxe:ASPxGridViewExporter ID="ASPxGridViewExporter1" runat="server" GridViewID="gvData">
                                        <PageFooter Right="[Page # of Pages #]">
                                        </PageFooter>
                                    </dxe:ASPxGridViewExporter>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>

                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="pull-right-button">
                            <asp:HiddenField ID="hdnLink" runat="server" />
                            <asp:LinkButton ID="btn_View" CssClass="btn save-btn fa-eye" runat="server" OnClick="btn_View_Click" />
                            <asp:LinkButton ID="lnktbnexcel" ToolTip="Excel" CommandName="excel" runat="server" CssClass="btn del-btn fa-file-excel-o" OnClick="btnExport_Click">
                            </asp:LinkButton>
                            <asp:LinkButton ID="lnkbtnpdf" ToolTip="Pdf" CommandName="pdf" runat="server" CssClass="btn del-btn fa-file-pdf-o" OnClick="btnExport_Click">
                            </asp:LinkButton>
                            <asp:LinkButton ID="btnCustWindow" runat="server" CssClass="btn save-btn fa-folder-open-o"
                                Text="&nbsp;&nbsp;Field Lists" OnClientClick="ShowHideCustomizationWindow();"></asp:LinkButton>
                            <asp:LinkButton ID="btnBack" CssClass="btn save-btn fa-angle-left" runat="server"
                                OnClientClick="location.href='TA_UI_Report_LateInstance.aspx';return false;" />

                            <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="SelectLateInstanceReport"
                                TypeName="GetReports" UpdateMethod="ReasonEntry_LateIn">
                                <UpdateParameters>
                                    <asp:Parameter Name="Process_Rec_ID" Type="Int32" />
                                    <asp:Parameter Name="Reason" Type="String" />
                                </UpdateParameters>
                                <SelectParameters>
                                    <asp:QueryStringParameter Name="Emp_Id" QueryStringField="EmpId" Type="String" />
                                    <asp:SessionParameter Name="levelID" Type="String" SessionField="LateInsLevel" />
                                    <asp:QueryStringParameter Name="dtFromDate" QueryStringField="From" Type="String" />
                                    <asp:QueryStringParameter Name="dtToDate" QueryStringField="To" Type="String" />
                                    <asp:QueryStringParameter Name="empName" QueryStringField="EmpName" Type="String" />
                                    <asp:QueryStringParameter Name="shift" QueryStringField="Shift" Type="Int32" />
                                    <asp:QueryStringParameter Name="employeeCategory" QueryStringField="EmployeeCategory" Type="Int32" />
                                    <asp:QueryStringParameter Name="employeeType" QueryStringField="EmployeeType" Type="Int32" />
                                    <asp:SessionParameter Name="userGroupName" SessionField="UserGroupName" Type="String" />
                                    <asp:SessionParameter Name="gradeLevel" SessionField="GradeLevel" Type="String" />
                                    <asp:QueryStringParameter Name="strSwipeCard" QueryStringField="SwipeCard" Type="String" />
                                    <asp:QueryStringParameter Name="ParentId" Type="Int32" QueryStringField="ParentLevelId" />
                                    <asp:QueryStringParameter Name="DesignationId" QueryStringField="Designation" Type="Int32" />
                                    <asp:QueryStringParameter Name="Gender" QueryStringField="Gender" Type="String" />
                                    <asp:QueryStringParameter Name="strEmpAutoId" Type="Int64" QueryStringField="EmpAutoID" />
                                    <asp:QueryStringParameter Name="ExportType" QueryStringField="ExportType" Type="Int32" DefaultValue="1" />
                                    <asp:QueryStringParameter Name="minExceptHrs" QueryStringField="MinExceptHours" Type="String" DefaultValue="" />
                                </SelectParameters>
                            </asp:ObjectDataSource>
                            <asp:HiddenField ID="hidLevels" runat="server" />
                        </div>
                    </div>
                </div>







                <%--<asp:GridView ID="Grv_LateIn_Email" runat="server" AutoGenerateEditButton="true"
             AutoGenerateColumns="False" Width="100%" KeyFieldName="EmployeeID" OnRowUpdating="Grv_LateIn_Email_RowUpdating"
                                        OnRowEditing="Grv_LateIn_Email_RowEditing"
                                        OnHtmlRowCreated="grv_LateIn_HtmlRowCreated">
    <Columns>
        <asp:BoundField DataField="EmployeeID" HeaderText="Emp No" />
        <asp:BoundField DataField="Employee_Code_Id" HeaderText="Employee Code" />
        <asp:BoundField DataField="EmpName" HeaderText="Employee Name" />
        <asp:BoundField DataField="ShiftDate" HeaderText="Date" />
        <asp:BoundField DataField="LateEntry" HeaderText="Late Entry" />
        <asp:BoundField DataField="LateHrs" HeaderText="Late Hrs" />
        <asp:TemplateField HeaderText="Reason">
            <ItemTemplate>
                <asp:Label ID="LabelReason" runat="server" Text='<%# Bind("Reason") %>' />
                <asp:HiddenField ID="HdnEmployeeCodeId" runat="server" Value='<%# Bind("Employee_Code_Id") %>' />
                <asp:HiddenField ID="HdnShiftDate" runat="server" Value='<%# Bind("ShiftDate") %>' />
                <asp:TextBox ID="TextBoxReason" runat="server" Text='<%# Bind("Reason") %>' OnTextChanged="TextBoxReason_TextChanged" CssClass="form-control" TextMode="MultiLine" MaxLength="255" Rows="1" Style="resize: none; width: 100%" />
            </ItemTemplate>
            <EditItemTemplate>



            </EditItemTemplate>

        </asp:TemplateField>
                <asp:TemplateField HeaderText="Reason">
                    <ItemTemplate>
                        
                         <asp:Label ID="lblCardNo" Text='<%# Bind("EmployeeID") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; width: 80px; word-wrap: break-word; display: inline-block;"></asp:Label>
                         <asp:HiddenField ID="lblProcess_Rec_ID" Value='<%# Eval("EmployeeID") %>' runat="server" />
                    </ItemTemplate>
                    <EditItemTemplate>
                        <asp:Label ID="lblEmployee_Code_Id" Text='<%# Eval("Employee_Code_Id") %>' runat="server"></asp:Label>
                        <asp:HiddenField ID="HdnEmployee_Code_Id" Value='<%# Eval("Employee_Code_Id") %>' runat="server" />

                    </EditItemTemplate>
                </asp:TemplateField>

                <asp:TemplateField HeaderText="Reason">
                    <ItemTemplate>
                         <asp:Label ID="lblEmployeename" Text='<%# Bind("Employee_Name") %>' runat="server"
                          Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                             <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee_Name") %>' runat="server"
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>

                    </EditItemTemplate>
                </asp:TemplateField>

        <asp:TemplateField HeaderText="Reason">
                    <ItemTemplate>
                        <asp:Label ID="lblDate" Text='<%# Bind("ShiftDate") %>' runat="server"></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                            <asp:Label ID="lblDate" Text='<%# Eval("ShiftDate") %>' runat="server"></asp:Label>

                    </EditItemTemplate>
                </asp:TemplateField>

        <asp:TemplateField HeaderText="Reason">
                    <ItemTemplate>
                         <asp:Label ID="lblFirstSession" Text='<%# Bind("LateEntry") %>' runat="server"></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                             <asp:Label ID="lblFirstSession" Text='<%# Eval("LateEntry") %>' runat="server"></asp:Label>

                    </EditItemTemplate>
                </asp:TemplateField>

         <asp:TemplateField HeaderText="Reason">
                    <ItemTemplate>
                        <asp:Label ID="lblFirstSession" Text='<%# Bind("LateEntry") %>' runat="server"></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                            <asp:Label ID="lblFirstSession" Text='<%# Eval("LateEntry") %>' runat="server"></asp:Label>

                    </EditItemTemplate>
                </asp:TemplateField>

         <asp:TemplateField HeaderText="Reason">
                    <ItemTemplate>
                        <asp:Label ID="lblSecondSession" Text='<%# Bind("LateHrs") %>' runat="server"></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                             <asp:Label ID="lblSecondSession" Text='<%# Eval("LateHrs") %>' runat="server"></asp:Label>

                    </EditItemTemplate>
                </asp:TemplateField>

        <asp:TemplateField HeaderText="Reason">
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Bind("Reason") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                    </ItemTemplate>
                    <EditItemTemplate>
                             <asp:TextBox TextMode="MultiLine" 
                                                        ID="TextBox1" runat="server"
                                                        onkeyPress="return acceptChars_MaxLength(event,this,255,MaxLength,MaxLength)"
                                                        Text='<%# Bind("Reason") %>' CssClass="form-control" MaxLength="255" 
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; 
                                    cursor: pointer; word-wrap: break-word; display: inline-block; width: 70px; height: 22px; resize: none"></asp:TextBox>

                    </EditItemTemplate>
                </asp:TemplateField>

        <asp:CommandField ShowEditButton="true" />
    </Columns>
</asp:GridView>--%>





                <div class="row form-group">
                    <div class="col-12">
                        <div class="table-responsive">
                            <asp:GridView ID="Grv_LateIn_Email" runat="server" Width="100%" AutoGenerateColumns="False" AllowPaging="true"
                                PageSize="10" CellPadding="4"
                                OnRowDataBound="Grv_LateIn_Email_RowDataBound"
                                CssClass="table das-table1">
                                <Columns>
                                    <asp:TemplateField HeaderText="EmailtriggetID" Visible="false" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblEmailtriggetID" Text='<%# Eval("EmailtriggetID")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>

                                    <asp:TemplateField HeaderText="EmployeeAutoId" Visible="false" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lbl_EmpAutoIdl" Text='<%# Eval("EmployeeID")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Employee Id" HeaderStyle-Width="50px" ControlStyle-Font-Bold="true" Visible="true" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lbl_Employee_Code_Idl" Text='<%# Eval("Employee_Code_Id")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                        <%--<EditItemTemplate>
                                                            <asp:Label ID="lbl_Employee_Code_Id" Text='<%# Eval("Employee_Code_Id")%>' runat="server"></asp:Label>
                                                        </EditItemTemplate>--%>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Employee Name" HeaderStyle-Width="100px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblEmployee_Namel" Text='<%# Eval("Employee_Name")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Date" HeaderStyle-Width="40px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <asp:Label ID="lblShiftDatel" Text='<%# Eval("ShiftDate")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="In Time" HeaderStyle-Width="50px" ControlStyle-Font-Bold="true" Visible="true" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblLateEntryl" Text='<%# Eval("LateEntry")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Late By" HeaderStyle-Width="50px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblLateHrsl" Text='<%# Eval("LateHrs")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Reason" HeaderStyle-Width="150px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <%--<asp:Label ID="lblReasonl" Text='<%# Eval("Reason")%>' runat="server"></asp:Label>--%>
                                            <asp:TextBox TextMode="MultiLine"
                                                ID="TextBox1" runat="server" Enabled="false"
                                                onkeypress="return chkMaxLen(event,this,250,MaxLength);"
                                                Text='<%# Eval("Reason") %>' CssClass="form-control" MaxLength="250"
                                                Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 140px; height: 22px; resize: none"></asp:TextBox>
                                        </ItemTemplate>

                                    </asp:TemplateField>

                                </Columns>
                                <RowStyle Height="30px" CssClass="table-bg" BorderColor="#C5DFFC" />
                                <PagerStyle Font-Overline="False" HorizontalAlign="Right" CssClass="GridPager" />
                                <PagerSettings FirstPageText="<<" LastPageText=">>" Mode="NumericFirstLast" NextPageText=">"
                                    PreviousPageText="<" />
                                <AlternatingRowStyle BackColor="white" />
                            </asp:GridView>
                            <div class="row form-group">
                            </div>
                            <div class="row form-group">
                            </div>
                            <div class="col-md-12">
                                <div class="pull-right-button">

                                    <div class="row form-group">
                                        <div class="col-sm-5">
                                            <asp:Label ID="lblReason1" runat="server" Text="Enter The Reason"></asp:Label>
                                        </div>
                                        <div class="col-sm-4">
                                            <asp:TextBox onpaste="return true" ID="TxtReason" runat="server"
                                                onCut="return false" onDrop="return false" Style="resize: none"
                                                CssClass="form-control" MaxLength="250" onkeypress="return chkMaxLen(event,this,250,MaxLength);"
                                                TextMode="MultiLine"></asp:TextBox>
                                        </div>
                                        <div class="col-sm-1">
                                            <asp:LinkButton ID="Btn_Late_save" Text=" Save" CssClass="btn save-btn fa-floppy-o"
                                                runat="server" OnClick="Btn_Late_save_Click1" />
                                        </div>
                                    </div>

                                    <%--<asp:TextBox onpaste="return true" ID="txtRemarks" runat="server" Style="resize: none"
                                    CssClass="form-control" MaxLength="250" onkeypress="return chkMaxLen(event,this,250,MaxLength);"
                                    TextMode="MultiLine"></asp:TextBox>--%>
                                    <%--  runat="server"
                                                        onkeyPress="return acceptChars_MaxLength(event,this,255,MaxLength,MaxLength)"
                                                        Text='<%# Bind("Reason") %>' CssClass="form-control" MaxLength="255" 
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; 
                                    cursor: pointer; word-wrap: break-word; display: inline-block; width: 70px; height: 22px; resize: none"></asp:TextBox>--%>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>







                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <asp:GridView ID="GrvAbsents" runat="server" AutoGenerateColumns="False" AllowPaging="true"
                                PageSize="10" OnPageIndexChanging="Grv_LateIn_Email_PageIndexChanging" CellPadding="4"
                                OnRowDeleting="Grv_LateIn_Email_RowDeleting" OnRowDataBound="Grv_LateIn_Email_RowDataBound"
                                CssClass="table das-table1" OnHtmlRowCreated="grv_LateIn_HtmlRowCreated">
                                <Columns>

                                    <asp:TemplateField HeaderText="EmailtriggetID" Visible="false" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblEmailtriggetIDA" Text='<%# Eval("EmailtriggetID")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>



                                    <asp:TemplateField HeaderText="EmployeeID" Visible="false" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lbl_EmpAutoIda" Text='<%# Eval("EmployeeID")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Employee id" HeaderStyle-Width="50px" ControlStyle-Font-Bold="true" Visible="true" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lbl_Employee_Code_Ida" Text='<%# Eval("Employee_Code_Id")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                        <%--<EditItemTemplate>
                                                            <asp:Label ID="lbl_Employee_Code_Id" Text='<%# Eval("Employee_Code_Id")%>' runat="server"></asp:Label>
                                                        </EditItemTemplate>--%>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Employee Name" HeaderStyle-Width="100px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblEmployee_Namea" Text='<%# Eval("Employee_Name")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Date" HeaderStyle-Width="40px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <asp:Label ID="lblShiftDatea" Text='<%# Eval("ShiftDate")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="First Session" HeaderStyle-Width="50px" ControlStyle-Font-Bold="true" Visible="true" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblAbsentANa" Text='<%# Eval("AbsentAN")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Second Session" HeaderStyle-Width="50px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblAbsentFNa" Text='<%# Eval("AbsentFN")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Reason" HeaderStyle-Width="150px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <%--<asp:Label ID="lblReasonA" Text='<%# Eval("Reason")%>' runat="server"></asp:Label>--%>
                                            <asp:TextBox TextMode="MultiLine"
                                                ID="lblReasonA" runat="server" Enabled="false"
                                                onkeypress="return chkMaxLen(event,this,250,MaxLength);"
                                                Text='<%# Eval("Reason") %>' CssClass="form-control" MaxLength="250"
                                                Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 140px; height: 22px; resize: none"></asp:TextBox>
                                        </ItemTemplate>

                                    </asp:TemplateField>

                                </Columns>
                                <RowStyle Height="30px" CssClass="table-bg" BorderColor="#C5DFFC" />
                                <PagerStyle Font-Overline="False" HorizontalAlign="Right" CssClass="GridPager" />
                                <PagerSettings FirstPageText="<<" LastPageText=">>" Mode="NumericFirstLast" NextPageText=">"
                                    PreviousPageText="<" />
                                <AlternatingRowStyle BackColor="white" />
                            </asp:GridView>
                            <div class="row form-group">
                            </div>
                            <div class="row form-group">
                            </div>

                            <div class="col-md-12">
                                <div class="pull-right-button">
                                    <div class="col-sm-5">
                                        <asp:Label ID="lblReason2" runat="server" Text="Enter the Reason"></asp:Label>
                                    </div>
                                    <div class="col-sm-4">
                                        <%--<asp:TextBox onpaste="return true" ID="TxtAbsent" runat="server" CssClass="form-control"
                                                            onCut="return false" onDrop="return false" MaxLength="225"></asp:TextBox>--%>
                                        <asp:TextBox onpaste="return true" ID="TxtAbsent" runat="server"
                                            onCut="return false" onDrop="return false" Style="resize: none"
                                            CssClass="form-control" MaxLength="250" onkeypress="return chkMaxLen(event,this,250,MaxLength);"
                                            TextMode="MultiLine"></asp:TextBox>
                                    </div>
                                    <div class="col-sm-1">
                                        <asp:LinkButton ID="Btn_Absent_save" Text=" Save" CssClass="btn save-btn fa-floppy-o" runat="server" OnClick="Btn_Absent_save_Click" />
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>


                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <asp:GridView ID="GrvEarlyExitEmail" runat="server" AutoGenerateColumns="False" AllowPaging="true"
                                PageSize="10" OnPageIndexChanging="Grv_LateIn_Email_PageIndexChanging" CellPadding="4"
                                OnRowDeleting="Grv_LateIn_Email_RowDeleting" OnRowDataBound="Grv_LateIn_Email_RowDataBound"
                                CssClass="table das-table1" OnHtmlRowCreated="grv_LateIn_HtmlRowCreated">
                                <Columns>

                                    <asp:TemplateField HeaderText="EmailtriggetID" Visible="false" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblEmailtriggetIDE" Text='<%# Eval("EmailtriggetID")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>

                                    <asp:TemplateField HeaderText="EmployeeID" Visible="false" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lbl_EmpAutoIdE" Text='<%# Eval("EmployeeID")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Employee_Code" HeaderStyle-Width="50px" ControlStyle-Font-Bold="true" Visible="true" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lbl_Employee_Code_IdE" Text='<%# Eval("Employee_Code_Id")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                        <%--<EditItemTemplate>
                                                            <asp:Label ID="lbl_Employee_Code_Id" Text='<%# Eval("Employee_Code_Id")%>' runat="server"></asp:Label>
                                                        </EditItemTemplate>--%>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Employee Name" HeaderStyle-Width="100px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblEmployee_NameE" Text='<%# Eval("Employee_Name")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Date" HeaderStyle-Width="40px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <asp:Label ID="lblShiftDateE" Text='<%# Eval("ShiftDate")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Out Time" HeaderStyle-Width="50px" ControlStyle-Font-Bold="true" Visible="true" HeaderStyle-CssClass="empheader"
                                        ItemStyle-CssClass="table-icons">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblEarlyExit" Text='<%# Eval("EarlyExit")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Early By" HeaderStyle-Width="50px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <itemstyle horizontalalign="Center" />
                                            <headerstyle horizontalalign="Center" />
                                            <asp:Label ID="lblEarlyExitHrs" Text='<%# Eval("EarlyExitHrs")%>' runat="server"></asp:Label>
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:TemplateField HeaderText="Reason" HeaderStyle-Width="150px" ControlStyle-Font-Bold="true" HeaderStyle-CssClass="empheader">
                                        <ItemTemplate>
                                            <%--<asp:Label ID="lblReasonE" Text='<%# Eval("Reason")%>' runat="server"></asp:Label>--%>
                                            <asp:TextBox TextMode="MultiLine"
                                                ID="lblReasonE" runat="server" Enabled="false"
                                                onkeypress="return chkMaxLen(event,this,250,MaxLength);"
                                                Text='<%# Eval("Reason") %>' CssClass="form-control" MaxLength="250"
                                                Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 140px; height: 22px; resize: none"></asp:TextBox>
                                        </ItemTemplate>

                                    </asp:TemplateField>

                                </Columns>
                                <RowStyle Height="30px" CssClass="table-bg" BorderColor="#C5DFFC" />
                                <PagerStyle Font-Overline="False" HorizontalAlign="Right" CssClass="GridPager" />
                                <PagerSettings FirstPageText="<<" LastPageText=">>" Mode="NumericFirstLast" NextPageText=">"
                                    PreviousPageText="<" />
                                <AlternatingRowStyle BackColor="white" />
                            </asp:GridView>
                            <div class="row form-group">
                            </div>
                            <div class="row form-group">
                            </div>
                            <div class="col-md-12">
                                <div class="pull-right-button">
                                    <div class="col-sm-75">
                                        <asp:Label ID="lblReason3" runat="server" Text="Enter The Reason"></asp:Label>
                                    </div>
                                    <div class="col-sm-4">
                                        <%--<asp:TextBox onpaste="return true" ID="TxtEarlyExit" runat="server" CssClass="form-control"
                                                            onCut="return false" onDrop="return false" MaxLength="225"></asp:TextBox>--%>
                                        <asp:TextBox onpaste="return true" ID="TxtEarlyExit" runat="server"
                                            onCut="return false" onDrop="return false" Style="resize: none"
                                            CssClass="form-control" MaxLength="250" onkeypress="return chkMaxLen(event,this,250,MaxLength);"
                                            TextMode="MultiLine"></asp:TextBox>
                                    </div>


                                    <div class="col-sm-1">

                                        <asp:LinkButton ID="Btn_Early_Save" Text=" Save" CssClass="btn save-btn fa-floppy-o" runat="server" OnClick="Btn_Early_Save_Click" />
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>






















            <%-- <dxGridview:ASPxGridView ID="Grv_LateIn_Emai" EnableCallBacks="False" Visible="true" runat="server"
                                        AutoGenerateColumns="False" Width="100%" KeyFieldName="EmployeeID" OnRowUpdating="Grv_LateIn_Email_RowUpdating"
                                        OnRowEditing="Grv_LateIn_Email_RowEditing"
                                        OnHtmlRowCreated="grv_LateIn_HtmlRowCreated">
                                        <Columns>
                                            <dxGridview:GridViewDataTextColumn FieldName="Employee_Code_Id" Caption="Emp No" VisibleIndex="0"
                                                Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblCardNo" Text='<%# Eval("EmployeeID") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; width: 80px; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                    <asp:HiddenField ID="lblProcess_Rec_ID" Value='<%# Eval("EmployeeID") %>' runat="server" />
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblEmployee_Code_Id" Text='<%# Eval("Employee_Code_Id") %>' runat="server"></asp:Label>
                                                    <asp:HiddenField ID="HdnEmployee_Code_Id" Value='<%# Eval("Employee_Code_Id") %>' runat="server" />
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn FieldName="Employee_Code_Id" Caption="Employee_Code_Id" VisibleIndex="2" Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEmployeeCode" Text='<%# Bind("Employee_Code_Id") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblEmployeeCode" Text='<%# Eval("Employee_Code_Id") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>


                                            <dxGridview:GridViewDataTextColumn Caption="Employee Name" FieldName="Employee_Name"
                                                Width="250px" VisibleIndex="1">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee_Name") %>' runat="server"
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee_Name") %>' runat="server"
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                           
                                            <dxGridview:GridViewDataTextColumn Caption="Date" FieldName="ShiftDate" VisibleIndex="4"
                                                Width="100px" Visible="true">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblDate" Text='<%# Eval("ShiftDate") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblDate" Text='<%# Eval("ShiftDate") %>' runat="server"></asp:Label>
                                                    <asp:HiddenField ID="HdnShiftDate" Value='<%# Eval("ShiftDate") %>' runat="server" />
                                                    
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            
                                            <dxGridview:GridViewDataTextColumn Caption="Late Entry" FieldName="LateEntry" VisibleIndex="5"
                                                Width="126px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblFirstSession" Text='<%# Eval("LateEntry") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblFirstSession" Text='<%# Eval("LateEntry") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Late Hrs" FieldName="LateHrs" VisibleIndex="6"
                                                Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSecondSession" Text='<%# Eval("LateHrs") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblSecondSession" Text='<%# Eval("LateHrs") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Reason" FieldName="Reason" VisibleIndex="7"
                                                Width="250px">
                                                <EditItemTemplate>
                                                    <asp:TextBox TextMode="MultiLine" 
                                                        ID="TextBox1" runat="server"
                                                        onkeyPress="return acceptChars_MaxLength(event,this,255,MaxLength,MaxLength)"
                                                        Text='<%# Bind("Reason") %>' CssClass="form-control" MaxLength="255" 
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; 
                                    cursor: pointer; word-wrap: break-word; display: inline-block; width: 70px; height: 22px; resize: none"></asp:TextBox>
                                                </EditItemTemplate>
                                                <DataItemTemplate>
                                                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("Reason") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                    <asp:HiddenField ID="HdnReason" Value='<%# Eval("Reason") %>' runat="server" />
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewCommandColumn VisibleIndex="8" Caption=" " Width="40px">
                                                <EditButton Visible="True">
                                                </EditButton>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewCommandColumn>
                                        </Columns>
                                        <ClientSideEvents CustomizationWindowCloseUp="function(s, e) { UpdateCustomizationWindowValue(); }" />
                                        <SettingsPager PageSize="10">
                                            <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="10,20,50,100,200" />
                                        </SettingsPager>
                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" />
                                        <SettingsText EmptyDataRow="No Records Found" />
                                        <SettingsBehavior AutoExpandAllGroups="false" ColumnResizeMode="Control" />
                                        <SettingsBehavior AllowDragDrop="true" />
                                        <Styles AlternatingRow-CssClass="table-bg">
                                        </Styles>
                                        <GroupSummary>
                                            <dxe:ASPxSummaryItem FieldName="Date" SummaryType="Count" />
                                        </GroupSummary>
                                        <SettingsCustomizationWindow Enabled="True" />
                                        <SettingsBehavior AllowDragDrop="true" />
                                    </dxGridview:ASPxGridView>
                                    <dxe:ASPxGridViewExporter ID="ASPxGridViewExporter3" runat="server" GridViewID="gvData">
                                        <PageFooter Right="[Page # of Pages #]">
                                        </PageFooter>
                                    </dxe:ASPxGridViewExporter>--%>











            <%--  <dxGridview:ASPxGridView ID="GrvAbsen" EnableCallBacks="False" runat="server"
                                        AutoGenerateColumns="False" Width="100%" KeyFieldName="EmployeeID" OnRowUpdated="GrvAbsent_RowUpdated"
                                        OnHtmlRowCreated="grv_LateIn_HtmlRowCreated">


                                        <Columns>
                                            <dxGridview:GridViewDataTextColumn FieldName="CardNo" Caption="Emp No" VisibleIndex="0"
                                                Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblCardNo" Text='<%# Eval("Employee_Code_Id") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; width: 80px; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                    <asp:HiddenField ID="lblProcess_Rec_ID" Value='<%# Eval("EmployeeID") %>' runat="server" />
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblEmployee_Code_Id" Text='<%# Eval("Employee_Code_Id") %>' runat="server"></asp:Label>
                                                    <asp:HiddenField ID="lblEmployeeCode" Value='<%# Eval("Employee_Code_Id") %>' runat="server" />
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Employee Name" FieldName="EmpName"
                                                Width="250px" VisibleIndex="1">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee_Name") %>' runat="server"
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee_Name") %>' runat="server"
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                           
                                            <dxGridview:GridViewDataTextColumn Caption="Date" FieldName="Date" VisibleIndex="4"
                                                Width="100px" Visible="true">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblDate" Text='<%# Eval("ShiftDate") %>' runat="server"></asp:Label>
                                                    <asp:HiddenField ID="lblShiftDate" Value='<%# Eval("ShiftDate") %>' runat="server" />
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblDate" Text='<%# Eval("ShiftDate") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            
                                            <dxGridview:GridViewDataTextColumn Caption="First Session" FieldName="FirstSession" VisibleIndex="5"
                                                Width="126px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblFirstSession" Text='<%# Eval("AbsentAN") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblFirstSession" Text='<%# Eval("AbsentAN") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Second Session" FieldName="SecondSession" VisibleIndex="6"
                                                Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSecondSession" Text='<%# Eval("AbsentFN") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblSecondSession" Text='<%# Eval("AbsentFN") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Reason" FieldName="Reason" VisibleIndex="7"
                                                Width="250px">
                                                <EditItemTemplate>
                                                    <asp:TextBox onpaste="return true" OnTextChanged="TextBox1_TextChanged" TextMode="MultiLine" ID="TextBox1" runat="server"
                                                        onkeyPress="return acceptChars_MaxLength(event,this,255,MaxLength,MaxLength)"
                                                        Text='<%# Bind("Reason") %>' CssClass="form-control" MaxLength="255" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 70px; height: 22px; resize: none"></asp:TextBox>
                                                </EditItemTemplate>
                                                <DataItemTemplate>
                                                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("Reason") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                    <asp:HiddenField ID="lblReasons" Value='<%# Eval("Reason") %>' runat="server" />
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewCommandColumn VisibleIndex="8" Caption=" " Width="40px">
                                                <EditButton Visible="True">
                                                </EditButton>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewCommandColumn>
                                        </Columns>
                                        <ClientSideEvents CustomizationWindowCloseUp="function(s, e) { UpdateCustomizationWindowValue(); }" />
                                        <SettingsPager PageSize="10">
                                            <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="10,20,50,100,200" />
                                        </SettingsPager>
                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" />
                                        <SettingsText EmptyDataRow="No Records Found" />
                                        <SettingsBehavior AutoExpandAllGroups="false" ColumnResizeMode="Control" />
                                        <SettingsBehavior AllowDragDrop="true" />
                                        <Styles AlternatingRow-CssClass="table-bg">
                                        </Styles>
                                        <GroupSummary>
                                            <dxe:ASPxSummaryItem FieldName="Date" SummaryType="Count" />
                                        </GroupSummary>
                                        <SettingsCustomizationWindow Enabled="True" />
                                        <SettingsBehavior AllowDragDrop="true" />


                                    </dxGridview:ASPxGridView>


                                    <dxe:ASPxGridViewExporter ID="ASPxGridViewExporter2" runat="server" GridViewID="gvData">
                                        <PageFooter Right="[Page # of Pages #]">
                                        </PageFooter>
                                    </dxe:ASPxGridViewExporter>--%>











            <%--<dxGridview:ASPxGridView ID="GrvEarlyExitEml" EnableCallBacks="False" runat="server"
                                        AutoGenerateColumns="False" Width="100%" KeyFieldName="EmployeeID" OnRowUpdated="GrvAbsent_RowUpdated"
                                        OnHtmlRowCreated="grv_LateIn_HtmlRowCreated">
                                        <Columns>
                                            <dxGridview:GridViewDataTextColumn FieldName="CardNo" Caption="Emp No" VisibleIndex="0"
                                                Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblCardNo" Text='<%# Eval("EmployeeID") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; width: 80px; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                    <asp:HiddenField ID="lblProcess_Rec_ID" Value='<%# Eval("EmployeeID") %>' runat="server" />
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblEmployee_Code_Id" Text='<%# Eval("Employee_Code_Id") %>' runat="server"></asp:Label>
                                                    <asp:HiddenField ID="lblProcess_Rec_ID" Value='<%# Eval("Employee_Code_Id") %>' runat="server" />
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Employee Name" FieldName="EmpName"
                                                Width="250px" VisibleIndex="1">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee_Name") %>' runat="server"
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee_Name") %>' runat="server"
                                                        Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block;">
                                                    </asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                           
                                            <dxGridview:GridViewDataTextColumn Caption="Date" FieldName="Date" VisibleIndex="4"
                                                Width="100px" Visible="true">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblDate" Text='<%# Eval("ShiftDate") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblDate" Text='<%# Eval("ShiftDate") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            
                                            <dxGridview:GridViewDataTextColumn Caption="Early Exit" FieldName="EarlyExit" VisibleIndex="5"
                                                Width="126px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblFirstSession" Text='<%# Eval("EarlyExit") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblFirstSession" Text='<%# Eval("EarlyExit") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Early Exit Hrs" FieldName="EarlyExitHrs" VisibleIndex="6"
                                                Width="120px">
                                                <DataItemTemplate>
                                                    <asp:Label ID="lblSecondSession" Text='<%# Eval("EarlyExitHrs") %>' runat="server"></asp:Label>
                                                </DataItemTemplate>
                                                <EditItemTemplate>
                                                    <asp:Label ID="lblSecondSession" Text='<%# Eval("EarlyExitHrs") %>' runat="server"></asp:Label>
                                                </EditItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewDataTextColumn Caption="Reason" FieldName="Reason" VisibleIndex="7"
                                                Width="250px">
                                                <EditItemTemplate>
                                                    <asp:TextBox onpaste="return true" OnTextChanged="TextBox1_TextChanged" TextMode="MultiLine" ID="TextBox1" runat="server"
                                                        onkeyPress="return acceptChars_MaxLength(event,this,255,MaxLength,MaxLength)"
                                                        Text='<%# Bind("Reason") %>' CssClass="form-control" MaxLength="255" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 70px; height: 22px; resize: none"></asp:TextBox>
                                                </EditItemTemplate>
                                                <DataItemTemplate>
                                                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("Reason") %>' Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                                </DataItemTemplate>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewDataTextColumn>
                                            <dxGridview:GridViewCommandColumn VisibleIndex="8" Caption=" " Width="40px">
                                                <EditButton Visible="True">
                                                </EditButton>
                                                <HeaderStyle HorizontalAlign="Center" Wrap="True" />
                                            </dxGridview:GridViewCommandColumn>
                                        </Columns>
                                        <ClientSideEvents CustomizationWindowCloseUp="function(s, e) { UpdateCustomizationWindowValue(); }" />
                                        <SettingsPager PageSize="10">
                                            <PageSizeItemSettings Visible="true" ShowAllItem="true" Items="10,20,50,100,200" />
                                        </SettingsPager>
                                        <Settings ShowFilterRow="true" ShowFilterRowMenu="true" HorizontalScrollBarMode="Auto" ShowGroupPanel="true" VerticalScrollBarMode="Hidden" VerticalScrollableHeight="400" />
                                        <SettingsText EmptyDataRow="No Records Found" />
                                        <SettingsBehavior AutoExpandAllGroups="false" ColumnResizeMode="Control" />
                                        <SettingsBehavior AllowDragDrop="true" />
                                        <Styles AlternatingRow-CssClass="table-bg">
                                        </Styles>
                                        <GroupSummary>
                                            <dxe:ASPxSummaryItem FieldName="Date" SummaryType="Count" />
                                        </GroupSummary>
                                        <SettingsCustomizationWindow Enabled="True" />
                                        <SettingsBehavior AllowDragDrop="true" />
                                    </dxGridview:ASPxGridView>
                                    <dxe:ASPxGridViewExporter ID="ASPxGridViewExporter5" runat="server" GridViewID="gvData">
                                        <PageFooter Right="[Page # of Pages #]">
                                        </PageFooter>
                                    </dxe:ASPxGridViewExporter>--%>





            <%-- <html>
<head>
</head>
<body>
  <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="700" id="AutoNumber2">
    <tr bgcolor="#003466">
      <td width="100%" height="25">
        <b><span class="Header">&nbsp;<<lblEmailNotificationapplicationform>></span></b>
      </td>
    </tr>
  </table>
  <table border="1" cellpadding="2" style="border-collapse: collapse" bordercolor="#666666" width="700" id="AutoNumber1">
    <tr>
      <td height="19" width="30%" bgcolor="#e6ffff">
        <b><font face="Arial" size="2"><<lblemployeeid>></font></b>
      </td>
      <td height="19" width="70%">
        <font face="Arial" size="2">&nbsp;<<employeeid>></font>
      </td>
    </tr>
    <tr>
      <td height="19" bgcolor="#e6ffff">
        <b><font face="Arial" size="2"><<lblemployeename>></font></b>
      </td>
      <td height="19">
        <font face="Arial" size="2">&nbsp;<<employeename>></font>
      </td>
    </tr>
    <tr>
      <td height="19" bgcolor="#e6ffff">
        <b><font face="Arial" size="2"><<lblDepartmentname>></font></b>
      </td>
      <td height="19">
        <font face="Arial" size="2">&nbsp;<<departmentname>></font>
      </td>
    </tr>
    <tr>
      <td height="19" bgcolor="#e6ffff">
        <b><font face="Arial" size="2"><<lblShiftdate>></font></b>
      </td>
      <td height="19">
        <font face="Arial" size="2">&nbsp;<<Shiftdate>></font>
      </td>
    </tr>
    <tr>
      <td height="19" bgcolor="#e6ffff">
        <b><font face="Arial" size="2"><<lblPunchtime>></font></b>
      </td>
      <td height="19">
        <font face="Arial" size="2">&nbsp;<<punchtime>></font>
      </td>
    </tr>
    <tr>
      <td height="19" bgcolor="#e6ffff">
        <b><font face="Arial" size="2"><<lblhours>></font></b>
      </td>
      <td height="19">
        <font face="Arial" size="2">&nbsp;<<hours>></font>
      </td>
    </tr>

      <tr>
      <td height="19" bgcolor="#e6ffff">
        <b><font face="Arial" size="2"><<lblReason>></font></b>
      </td>
      <td height="19">
        <font face="Arial" size="2">&nbsp;<<Reason>></font>
      </td>
    </tr>


  </table>
  <br />
  <a href="<<LinkData>>">
    <font face="Arial" size="2">Click here to Reason Approval</font>
  </a>
</body>
</html>--%>
        </div>
    </div>
    </div>


    <script type="text/javascript">
        var MaxLength = "Maximum length is ";
        function MaxLengthh(maxLength) {
            MaxLength = maxLength;
        }
        function UpdateCustomizationWindowValue() {
            debugger;
            var element = document.getElementById("btnCustWindow");
            if (element == null) return;
            element.value = (grv_LateIn.IsCustomizationWindowVisible() ? "Hide" : "Show") + " Customization Window";
        }
        function ShowHideCustomizationWindow() {
            debugger;
            if (grv_LateIn.IsCustomizationWindowVisible())
                grv_LateIn.HideCustomizationWindow();
            else grv_LateIn.ShowCustomizationWindow();
            UpdateCustomizationWindowValue();
        }
        function Savefunction() {
            debugger;

            alert('Are you confirm to save');
            return true;
        }
    </script>

</asp:Content>
